#import "myImage.h"

@implementation myImage


- (id)initWithFrame:(NSRect)frameRect
{
	if ((self = [super initWithFrame:frameRect]) != nil) {
		theImage = [[NSImage alloc]initWithContentsOfFile:@"bigone.jpg"];
		//[theImage retain];	
		point_to_draw = NSMakePoint(0,0);
	}
	return self;
}


- (void)drawRect:(NSRect)rect
{
	NSRect myBounds = [self bounds];
	[theImage setSize:myBounds.size];
	
	NSImageAlignment allignment = [self imageAlignment];
	//[self setImageScaling:NSScaleToFit];
	
	[theImage drawInRect:[self bounds] fromRect:[self bounds] operation:NSCompositeSourceOver fraction:1.0];
	
	NSString *str = [NSString stringWithString:[text_to_draw stringValue]];
	
	NSFont *font = [NSFont fontWithName:[current_font stringValue] size:[current_size floatValue]];
	NSMutableDictionary *attributes = [NSMutableDictionary dictionary];
	[attributes setObject:font forKey:NSFontAttributeName];
	[attributes setObject:[current_color color] forKey:NSForegroundColorAttributeName];
	[str drawAtPoint:point_to_draw withAttributes:attributes];
	NSLog(@"Fsd");
	
}

- (void)mouseDown:(NSEvent *)theEvent
{
	NSPoint eventLocation = [theEvent locationInWindow];
	point_to_draw = [self convertPoint:eventLocation fromView:nil];
	[self setNeedsDisplay:TRUE];
}

- (void)mouseDragged:(NSEvent *)theEvent{
	NSPoint eventLocation = [theEvent locationInWindow];
	point_to_draw = [self convertPoint:eventLocation fromView:nil];
	[self setNeedsDisplay:TRUE];
}


-(IBAction)drawTextToImage:(id)sender;
{
	[self setNeedsDisplay:YES];
}

-(IBAction)exportImage:(id)sender
{
	NSData *viewData = [self dataWithPDFInsideRect:[self bounds]];
	[viewData writeToFile:@"export.pdf" atomically:NO];
}

-(IBAction)loadImageFromPath:(id)sender
{

	[theImage release];
	theImage = [[NSImage alloc]initWithContentsOfFile:[current_image stringValue]];
	
	
	[self setNeedsDisplay:YES];
}

- (BOOL)mouseDownCanMoveWindow
{
	return NO;
}

@end
